Get a provider - Barndoor Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get a provider
cURL
curl --request GET \
--url https://app.barndoor.ai/api/llm-gateway/admin/providers/{id} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://app.barndoor.ai/api/llm-gateway/admin/providers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.barndoor.ai/api/llm-gateway/admin/providers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://app.barndoor.ai/api/llm-gateway/admin/providers/{id}",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "GET",\
CURLOPT_HTTPHEADER => [\
"Authorization: Bearer <token>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.barndoor.ai/api/llm-gateway/admin/providers/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.get("https://app.barndoor.ai/api/llm-gateway/admin/providers/{id}")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://app.barndoor.ai/api/llm-gateway/admin/providers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Responses
Successful Response (200)
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "OpenAI Production (US)",
"model_provider": "openai",
"auth_type": "api_key",
"base_url": "<string>",
"enabled": true,
"settings": {},
"catalog_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request_timeout_secs": 1800,
"stream_idle_timeout_secs": 900,
"catalog_slug": "<string>"
}
Error Response (404)
{
"error": "BadRequest",
"message": "request_timeout_secs must be between 1 and 3600"
}
Authorizations
Authorization
- Type: string
- Location: header
- Required: Yes
- Description: JWT obtained through Barndoor's authentication flow. Pass the token verbatim in
Authorization: Bearer <token>. Use the Barndoor SDK'sloginInteractive()helper to obtain a token in scripts and notebooks.
Path Parameters
- id
- Type: string
- Required: Yes
- Description: Provider UUID
- Type: string
Response Schema
- 200: application/json
- The requested provider
- A named upstream provider backed by a credential and a model family.
Provider Fields
id: string(required) org_id: string(required) name: string (required)- Example:
"OpenAI Production (US)"
- Example:
model_provider: enum(required) - Available options include:
openai,anthropic,azure_openai, etc. - Example:
"openai"
- Available options include:
auth_type: string (required)- Authentication scheme used for the upstream model provider. Example:
"api_key"
- Authentication scheme used for the upstream model provider. Example:
base_url: string(required) enabled: boolean (default: true, required)settings: object (required)catalog_id: string| null connection_id: string| null request_timeout_secs: integer | null- Required range:
1 <= x <= 3600
- Required range:
stream_idle_timeout_secs: integer | null- Required range:
1 <= x <= 1800
- Required range:
catalog_slug: string | null